curl -X DELETE https://api.ringyo.ai/v1/agents/agent_abc123 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.ringyo.ai/v1/agents/agent_abc123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
}
);
const result = await response.json();
// { id: 'agent_abc123', deleted: true }
import requests
response = requests.delete(
'https://api.ringyo.ai/v1/agents/agent_abc123',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
result = response.json()
# {'id': 'agent_abc123', 'deleted': True}
{
"id": "agent_abc123",
"deleted": true
}
{
"error": {
"code": "agent_not_found",
"message": "The specified agent does not exist"
}
}
{
"error": {
"code": "agent_in_use",
"message": "Cannot delete agent while it has active calls"
}
}
Agents
Delete Agent
Delete an agent permanently
DELETE
/
v1
/
agents
/
{agent_id}
curl -X DELETE https://api.ringyo.ai/v1/agents/agent_abc123 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.ringyo.ai/v1/agents/agent_abc123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
}
);
const result = await response.json();
// { id: 'agent_abc123', deleted: true }
import requests
response = requests.delete(
'https://api.ringyo.ai/v1/agents/agent_abc123',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
result = response.json()
# {'id': 'agent_abc123', 'deleted': True}
{
"id": "agent_abc123",
"deleted": true
}
{
"error": {
"code": "agent_not_found",
"message": "The specified agent does not exist"
}
}
{
"error": {
"code": "agent_in_use",
"message": "Cannot delete agent while it has active calls"
}
}
Request
Permanently delete an AI voice agent. This action cannot be undone.Deleting an agent is permanent. All associated configuration will be lost. Active calls using this agent will not be affected, but no new calls can be initiated.
Headers
string
required
Bearer token for authentication. Format:
Bearer YOUR_API_KEYPath Parameters
string
required
The unique identifier of the agent to delete
Response
Returns a confirmation of deletion.string
The ID of the deleted agent
boolean
Always
true on successcurl -X DELETE https://api.ringyo.ai/v1/agents/agent_abc123 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.ringyo.ai/v1/agents/agent_abc123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
}
);
const result = await response.json();
// { id: 'agent_abc123', deleted: true }
import requests
response = requests.delete(
'https://api.ringyo.ai/v1/agents/agent_abc123',
headers={'Authorization': 'Bearer YOUR_API_KEY'}
)
result = response.json()
# {'id': 'agent_abc123', 'deleted': True}
{
"id": "agent_abc123",
"deleted": true
}
{
"error": {
"code": "agent_not_found",
"message": "The specified agent does not exist"
}
}
{
"error": {
"code": "agent_in_use",
"message": "Cannot delete agent while it has active calls"
}
}
Error Codes
| Code | Description |
|---|---|
agent_not_found | The specified agent_id does not exist |
agent_in_use | Agent has active calls and cannot be deleted |
unauthorized | You don’t have permission to delete this agent |
Best Practices
Before deleting an agent:- Check for active calls - Ensure no calls are currently in progress
- Export configuration - Save the agent’s system prompt and settings if you might need them later
- Update integrations - Remove references to this agent from webhooks and automations